WhatsApp Sent Message Count
Base URL
https://graph.communikate.in
Authentication
All API requests require authentication credentials. Include your API Key and API Secret in request headers to access protected endpoints.
Every API endpoint requires the following headers.
X-Api-Key
Your public API key.
X-Api-Secret
Your secret API key.
POST
/meta/wa/reports/msg/get-sent-count
Request Parameters
|
pageNo *
int
|
The page number you want to list. Any invalid number will be rejected and assigned to 1.
|
|
pageSize *
int
|
The number or records you want to retrieve in each page.
The valid values are: 50, 75, 100, 125 & 150.
Any invalid value will be rejected and assigned to 50.
|
|
dateRangeType
int?
|
(OPTIONAL). It sends a signal to server to apply predefined date filter crieteria.
Any invalid or null value be rejected and assigned to value 0.
The valid values are:
If you specify 99 then you will have to specify the value either
for fromDate or both fromDate
and toDate date.
If you specify only from then the system will treat as a single date.
|
|
fromDate
date?
|
(CONDITIONAL OPTIONAL) The date from which you want to filter the data.
The value in this parameter must be specified if the value in parameter dateRangeType is equal to 99.
|
|
toDate
date?
|
(CONDITIONAL OPTIONAL) The date to which you want to filter the data.
|
|
recipientMobileNumber
string?
|
(OPTIONAL) The recipient whatsapp number for which you want to search the data.
|
|
recipientMobileComparisonType
int?
|
(OPTIONAL) A flag which facilitates how to search your specified recipient whatsapp number.
Any invalid or null value will be rejected and assigned to 1.
The valid values are:
|
Response
|
isSuccess
boolean
|
true: success
false: failed |
|
message
string
|
response messae from API endpoint
|
|
traceId
string?
|
a server specific tracing code by which the actual error can be reviewed
|
|
result
string?
|
if isSuccess: true then it contains the result object.
|
Result object explanation:
The result object contains the following objects:
-
sender{}
- businessName:
- The name of the business from which the message was sent
- whatsAppDisplayName:
- The sender WhatsAppName with WhatsAapp Mobile Number.
- whatsAppName:
- The name of the business owner's WhatsApp which was set either by using WhatsApp Business App or by Meta WhatsApp Manager
- whatsAppNumber:
- Meta approved business owenr's WhatsApp Number.
- metaBusinessId:
- Meta provided unique identification number for business owenr's Business Portfolio
- metaWabaId:
- Meta provided unique identification number for business owner's WhatsApp Business Account
- metaPhoneNumberId:
- Meta provided unique identification number for business owner's each phone number registered with the WhatsApp Business Api
- sainofyLockerId:
- Sainofy provided unique identification number for business owner's each locker registered with Sainofy Cloud Messaging Api. This id is very helpful to resolve any issue arises during the operation execution.
- sainofyLockerName:
- The name of the locker associated with sainofyLockerId
- sainofyAssetId:
- Sainofy provided unique identification number for business owner's each WhatsApp number registered with Sainofy Cloud Messaging Api. This id is very helpful to resolve any issue arises during the operation execution.
- sainofyClientApiId:
- Sainofy provided unique identification number for business owner's client based api allocated to use Sainofy Cloud Messaging Api. This id is directly associated with metaPhoneNumberId and mainly responsible to retrieve data from Sainofy Cloud Messaging Server. This id is very-very helpful to resolve any issue arises during the operation execution.
- sainofyClientApiName:
- The name of the locker associated with sainofyClientApiId
- sainofyClientApiPhoneId:
- Sainofy provided unique identification number for business owner's each phone number registered with the Sainofy Cloud Messaging Api
-
summary{}
- pageTitle:
- The server generated title for the reporting page.
- direction:
- Only the value OUT will be displayed in this endpoint.
- totalCount:
-
The total number of records which are available on the server after applying
your requested filter criteria.
Note: For filter criteria please refer to the section request parameters in this page.
-
nullablestats[]It contains an array of status object but it may be null if there is no record available to satisfy user's filter criteria.
- status:
- It holds one of the four values: SENT, FAILED, DELIVERED, READ
- count:
- The record count for that status.
- nextStep:
- What will happen after this current status flag.
cURL Request
curl 'https://graph.communikate.in/meta/wa/reports/msg/get-sent-count' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api-Secret: YOUR_API_SECRET' \
--header 'Content-Type: application/json' \
--payload '{
"pageNo": 1,
"pageSize": 50,
"dateRangeType": 1,
"fromDate": "2026-08-01T00:00:00",
"toDate": "2026-08-02T23:59:59",
"recipientMobileNumber": "919876543210",
"recipientMobileComparisonType": 0
}'
Json Response
{
"isSuccess": true,
"message": "50 record(s) fetched successfully.",
"traceId": null,
"result": {
"sender": {
"businessName": "SAINOFY INFOSYSTEMS",
"whatsAppDisplayName": "Sainofy Mumbai (+91 xxxxx xxxxx)",
"whatsAppName": "Sainofy Mumbai Branch",
"whatsAppNumber": "+91xxxxxxxxxx",
"metaBusinessId": "3656xxxxxxxxxxx",
"metaWabaId": "1147xxxxxxxxxxxx",
"metaPhoneNumberId": "9066xxxxxxxxxxx",
"sainofyLockerId": "8082xxxxxxxxxxx",
"sainofyLockerName": "Mumabi-Branch",
"sainofyAssetId": "2664xxxxxxxxxxx",
"sainofyClientApiId": "0104AC07-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"sainofyClientApiName": "zoho crm",
"sainofyClientApiPhoneId": "5132xxxxxxxxxxxxxxxxxxxxxxxxxxxx"
},
"summary": {
"pageTitle": "OUT Message Count - For All Dates.",
"direction": "OUT",
"totalCount": 4132
},
"stats": [
{
"status": "SENT",
"count": 119,
"nextStep": "Waiting to be delivered"
},
{
"status": "FAILED",
"count": 190,
"nextStep": "Job finished with error"
},
{
"status": "DELIVERED",
"count": 807,
"nextStep": "Waiting to be read"
},
{
"status": "READ",
"count": 3016,
"nextStep": "Job finished with success"
}
]
}
}